Subject: bash completion lacks options

From: Olaf Hering <[email-masked]>
Date: Mon, 7 Sep 2015 17:07:58 +0200

"git send-email --f<tab>" lacks --find-renames and others. Is the list
of possible options maintained manually? Perhaps this should be
automated by placing the long strings in an ELF section, then filling
variables like $__git_format_patch_options from such ELF section.
An example how this was done in libguestfs is here (see daemon/daemon.h):
https://github.com/libguestfs/libguestfs/commit/0306c98d319d189281af3c15101c8d343e400f13

Olaf